local _, iEET = ...

  --[[
    1 : Vanilla
    2 : TBC
    3 : WOTLK
    4 : Cataclysm
    5 : MoP
    6 : WoD
    7 : Legion
    8 : BFA
    9: SL
  --]]
iEET.expansions = {
  VANILLA = 1,
  VANILLA5MAN = 15,
  TBC = 2,
  TBC5MAN = 25,
  WOTLK = 3,
  WOTLK5MAN = 35,
  MOP = 4,
  MOP5MAN = 45,
  CATACLYSM = 5,
  CATACLYSM5MAN = 55,
  WOD = 6,
  WOD5MAN = 65,
  LEGION = 7,
  LEGION5MAN = 75,
  BFA = 8,
  BFA5MAN = 85,
  SHADOWLANDS = 9,
  SHADOWLANDS5MAN = 95,
  DEFAULT = 0,
}
local encounters = {
  -- Vanilla
  [610] = iEET.expansions.VANILLA, -- Blackwing Lair, Razorgore the Untamed
  [611] = iEET.expansions.VANILLA, -- Blackwing Lair, Vaelastrasz the Corrupt
  [612] = iEET.expansions.VANILLA, -- Blackwing Lair, Broodlord Lashlayer
  [613] = iEET.expansions.VANILLA, -- Blackwing Lair, Firemaw
  [614] = iEET.expansions.VANILLA, -- Blackwing Lair, Ebonroc
  [615] = iEET.expansions.VANILLA, -- Blackwing Lair, Flamegor
  [616] = iEET.expansions.VANILLA, -- Blackwing Lair, Chromaggus
  [617] = iEET.expansions.VANILLA, -- Blackwing Lair, Nefarian
  [663] = iEET.expansions.VANILLA, -- Molten Core, Lucifron
  [664] = iEET.expansions.VANILLA, -- Molten Core, Magmadar
  [665] = iEET.expansions.VANILLA, -- Molten Core, Gehennas
  [666] = iEET.expansions.VANILLA, -- Molten Core, Garr
  [667] = iEET.expansions.VANILLA, -- Molten Core, Shazzrah
  [668] = iEET.expansions.VANILLA, -- Molten Core, Baron Geddon
  [669] = iEET.expansions.VANILLA, -- Molten Core, Sulfuron Harbinger
  [670] = iEET.expansions.VANILLA, -- Molten Core, Golemagg the Incinerator
  [671] = iEET.expansions.VANILLA, -- Molten Core, Majordomo Executus
  [672] = iEET.expansions.VANILLA, -- Molten Core, Ragnaros
  [709] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, The Prophet Skeram
  [710] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Silithid Royalty
  [711] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Battleguard Sartura
  [712] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Fankriss the Unyielding
  [713] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Viscidus
  [714] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Princess Huhuran
  [715] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Twin Emperors
  [716] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, Ouro
  [717] = iEET.expansions.VANILLA, -- Ahn'Qiraj Temple, C'Thun
  [718] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, Kurinnaxx
  [719] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, General Rajaxx
  [720] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, Moam
  [721] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, Buru the Gorger
  [722] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, Ayamiss the Hunter
  [723] = iEET.expansions.VANILLA, -- Ruins of Ahn'Qiraj, Ossirian the Unscarred
  [784] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, High Priest Venoxis
  [785] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, High Priestess Jeklik
  [786] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, High Priestess Mar'li
  [787] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, Bloodlord Mandokir
  [788] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, Edge of Madness
  [789] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, High Priest Thekal
  [790] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, Gahz'ranka
  [791] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, High Priestess Arlokk
  [792] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, Jin'do the Hexxer
  [793] = iEET.expansions.VANILLA, -- Ancient Zul'Gurub, Hakkar

  -- Vanilla 5man
  [227] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, High Interrogator Gerstahn
  [228] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Lord Roccor
  [229] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Houndmaster Grebmar
  [230] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Ring of Law
  [231] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Pyromancer Loregrain
  [232] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Lord Incendius
  [233] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Warder Stilgiss
  [234] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Fineous Darkvire
  [235] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Bael'Gar
  [236] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, General Angerforge
  [237] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Golem Lord Argelmach
  [238] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Hurley Blackbreath
  [239] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Phalanx
  [240] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Ribbly Screwspigot
  [241] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Plugger Spazzring
  [242] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Ambassador Flamelash
  [243] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, The Seven
  [244] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Magmus
  [245] = iEET.expansions.VANILLA5MAN, -- Blackrock Depths, Emperor Dagran Thaurissan
  [267] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Highlord Omokk
  [268] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Shadow Hunter Vosh'gajin
  [269] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, War Master Voone
  [270] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Mother Smolderweb
  [271] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Urok Doomhowl
  [272] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Quartermaster Zigris
  [273] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Gizrul the Slavener
  [274] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Halycon
  [275] = iEET.expansions.VANILLA5MAN, -- Lower Blackrock Spire, Overlord Wyrmthalak
  [343] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Zevrim Thornhoof
  [344] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Hydrospawn
  [345] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Lethtendris
  [346] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Alzzin the Wildshaper
  [347] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Illyanna Ravenoak
  [348] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Magister Kalendris
  [349] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Immol'thar
  [350] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Tendris Warpwood
  [361] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Prince Tortheldrin
  [362] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Guard Mol'dar
  [363] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Stomper Kreeg
  [364] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Guard Fengus
  [365] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Guard Slip'kik
  [366] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Captain Kromcrush
  [367] = iEET.expansions.VANILLA5MAN, -- Dire Maul, Cho'Rush the Observer
  [368] = iEET.expansions.VANILLA5MAN, -- Dire Maul, King Gordok
  [378] = iEET.expansions.VANILLA5MAN, -- Gnomeregan, Viscous Fallout
  [379] = iEET.expansions.VANILLA5MAN, -- Gnomeregan, Grubbis
  [380] = iEET.expansions.VANILLA5MAN, -- Gnomeregan, Electrocutioner 6000
  [381] = iEET.expansions.VANILLA5MAN, -- Gnomeregan, Crowd Pummeler 9-60
  [382] = iEET.expansions.VANILLA5MAN, -- Gnomeregan, Mekgineer Thermaplugg
  [422] = iEET.expansions.VANILLA5MAN, -- Maraudon, Noxxion
  [423] = iEET.expansions.VANILLA5MAN, -- Maraudon, Razorlash
  [424] = iEET.expansions.VANILLA5MAN, -- Maraudon, Lord Vyletongue
  [425] = iEET.expansions.VANILLA5MAN, -- Maraudon, Celebras the Cursed
  [426] = iEET.expansions.VANILLA5MAN, -- Maraudon, Landslide
  [427] = iEET.expansions.VANILLA5MAN, -- Maraudon, Tinkerer Gizlock
  [428] = iEET.expansions.VANILLA5MAN, -- Maraudon, Rotgrip
  [429] = iEET.expansions.VANILLA5MAN, -- Maraudon, Princess Theradras
  [438] = iEET.expansions.VANILLA5MAN, -- Razorfen Kraul, Roogug
  [444] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, Interrogator Vishas
  [446] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, Houndmaster Loksey
  [447] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, Arcanist Doan
  [448] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, Herod
  [449] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, High Inquisitor Fairbanks
  [450] = iEET.expansions.VANILLA5MAN, -- Scarlet Monastery of Old, High Inquisitor Whitemane
  [451] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Kirtonos the Herald
  [452] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Jandice Barov
  [453] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Rattlegore
  [454] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Marduk Blackpool
  [455] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Vectus
  [456] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Ras Frostwhisper
  [457] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Instructor Malicia
  [458] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Doctor Theolen Krastinov
  [459] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Lorekeeper Polkelt
  [460] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, The Ravenian
  [461] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Lord Alexei Barov
  [462] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Lady Illucia Barov
  [463] = iEET.expansions.VANILLA5MAN, -- Scholomance OLD, Darkmaster Gandling
  [472] = iEET.expansions.VANILLA5MAN, -- Stratholme, The Unforgiven
  [473] = iEET.expansions.VANILLA5MAN, -- Stratholme, Hearthsinger Forresten
  [474] = iEET.expansions.VANILLA5MAN, -- Stratholme, Timmy the Cruel
  [475] = iEET.expansions.VANILLA5MAN, -- Stratholme, Willey Hopebreaker
  [476] = iEET.expansions.VANILLA5MAN, -- Stratholme, Commander Malor
  [477] = iEET.expansions.VANILLA5MAN, -- Stratholme, Instructor Galford
  [478] = iEET.expansions.VANILLA5MAN, -- Stratholme, Balnazzar
  [479] = iEET.expansions.VANILLA5MAN, -- Stratholme, Baroness Anastari
  [480] = iEET.expansions.VANILLA5MAN, -- Stratholme, Nerub'enkan
  [481] = iEET.expansions.VANILLA5MAN, -- Stratholme, Maleki the Pallid
  [482] = iEET.expansions.VANILLA5MAN, -- Stratholme, Magistrate Barthilas
  [483] = iEET.expansions.VANILLA5MAN, -- Stratholme, Ramstein the Gorger
  [484] = iEET.expansions.VANILLA5MAN, -- Stratholme, Lord Aurius Rivendare
  [486] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Dreamscythe
  [487] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Weaver
  [488] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Jammal'an the Prophet
  [490] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Morphaz
  [491] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Hazzas
  [492] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Avatar of Hakkar
  [493] = iEET.expansions.VANILLA5MAN, -- Sunken Temple, Shade of Eranikus
  [547] = iEET.expansions.VANILLA5MAN, -- Uldaman, Revelosh
  [548] = iEET.expansions.VANILLA5MAN, -- Uldaman, The Lost Dwarves
  [549] = iEET.expansions.VANILLA5MAN, -- Uldaman, Ironaya
  [551] = iEET.expansions.VANILLA5MAN, -- Uldaman, Ancient Stone Keeper
  [552] = iEET.expansions.VANILLA5MAN, -- Uldaman, Galgann Firehammer
  [553] = iEET.expansions.VANILLA5MAN, -- Uldaman, Grimlok
  [554] = iEET.expansions.VANILLA5MAN, -- Uldaman, Archaedas
  [585] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Lady Anacondra
  [586] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Lord Cobrahn
  [587] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Kresh
  [588] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Lord Pythas
  [589] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Skum
  [590] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Lord Serpentis
  [591] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Verdan the Everliving
  [592] = iEET.expansions.VANILLA5MAN, -- Wailing Caverns, Mutanus the Devourer
  [593] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Hydromancer Velratha
  [594] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Ghaz'rilla
  [595] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Antu'sul
  [596] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Theka the Martyr
  [597] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Witch Doctor Zum'rah
  [598] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Nekrum Gutchewer
  [599] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Shadowpriest Sezz'ziz
  [600] = iEET.expansions.VANILLA5MAN, -- Zul'Farrak, Chief Ukorz Sandscalp

  -- TBC
  [601] = iEET.expansions.TBC, -- Black Temple, High Warlord Naj'entus
  [602] = iEET.expansions.TBC, -- Black Temple, Supremus
  [603] = iEET.expansions.TBC, -- Black Temple, Shade of Akama
  [604] = iEET.expansions.TBC, -- Black Temple, Teron Gorefiend
  [605] = iEET.expansions.TBC, -- Black Temple, Gurtogg Bloodboil
  [606] = iEET.expansions.TBC, -- Black Temple, Reliquary of Souls
  [607] = iEET.expansions.TBC, -- Black Temple, Mother Shahraz
  [608] = iEET.expansions.TBC, -- Black Temple, The Illidari Council
  [609] = iEET.expansions.TBC, -- Black Temple, Illidan Stormrage
  [618] = iEET.expansions.TBC, -- The Battle for Mount Hyjal, Rage Winterchill
  [619] = iEET.expansions.TBC, -- The Battle for Mount Hyjal, Anetheron
  [620] = iEET.expansions.TBC, -- The Battle for Mount Hyjal, Kaz'rogal
  [621] = iEET.expansions.TBC, -- The Battle for Mount Hyjal, Azgalor
  [622] = iEET.expansions.TBC, -- The Battle for Mount Hyjal, Archimonde
  [623] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, Hydross the Unstable
  [624] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, The Lurker Below
  [625] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, Leotheras the Blind
  [626] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, Fathom-Lord Karathress
  [627] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, Morogrim Tidewalker
  [628] = iEET.expansions.TBC, -- Coilfang: Serpentshrine Cavern, Lady Vashj
  [649] = iEET.expansions.TBC, -- Gruul's Lair, High King Maulgar
  [650] = iEET.expansions.TBC, -- Gruul's Lair, Gruul the Dragonkiller
  [651] = iEET.expansions.TBC, -- Magtheridon's Lair, Magtheridon
  [652] = iEET.expansions.TBC, -- Karazhan, Attumen the Huntsman
  [653] = iEET.expansions.TBC, -- Karazhan, Moroes
  [654] = iEET.expansions.TBC, -- Karazhan, Maiden of Virtue
  [655] = iEET.expansions.TBC, -- Karazhan, Opera Hall
  [656] = iEET.expansions.TBC, -- Karazhan, The Curator
  [657] = iEET.expansions.TBC, -- Karazhan, Terestian Illhoof
  [658] = iEET.expansions.TBC, -- Karazhan, Shade of Aran
  [659] = iEET.expansions.TBC, -- Karazhan, Netherspite
  [660] = iEET.expansions.TBC, -- Karazhan, Chess Event
  [661] = iEET.expansions.TBC, -- Karazhan, Prince Malchezaar
  [662] = iEET.expansions.TBC, -- Karazhan, Nightbane
  [724] = iEET.expansions.TBC, -- The Sunwell, Kalecgos
  [725] = iEET.expansions.TBC, -- The Sunwell, Brutallus
  [726] = iEET.expansions.TBC, -- The Sunwell, Felmyst
  [727] = iEET.expansions.TBC, -- The Sunwell, Eredar Twins
  [728] = iEET.expansions.TBC, -- The Sunwell, M'uru
  [729] = iEET.expansions.TBC, -- The Sunwell, Kil'jaeden
  [730] = iEET.expansions.TBC, -- Tempest Keep, Al'ar
  [731] = iEET.expansions.TBC, -- Tempest Keep, Void Reaver
  [732] = iEET.expansions.TBC, -- Tempest Keep, High Astromancer Solarian
  [733] = iEET.expansions.TBC, -- Tempest Keep, Kael'thas Sunstrider

  -- TBC 5man
  [1889] = iEET.expansions.TBC5MAN, -- Auchindoun: Auchenai Crypts, Exarch Maladaar
  [1890] = iEET.expansions.TBC5MAN, -- Auchindoun: Auchenai Crypts, Shirrak the Dead Watcher
  [1891] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: Ramparts, Omor the Unscarred
  [1892] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: Ramparts, Vazruden the Herald
  [1893] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: Ramparts, Watchkeeper Gargolmar
  [1894] = iEET.expansions.TBC5MAN, -- Magisters' Terrace, Kael'thas Sunstrider
  [1895] = iEET.expansions.TBC5MAN, -- Magisters' Terrace, Priestess Delrissa
  [1897] = iEET.expansions.TBC5MAN, -- Magisters' Terrace, Selin Fireheart
  [1898] = iEET.expansions.TBC5MAN, -- Magisters' Terrace, Vexallus
  [1899] = iEET.expansions.TBC5MAN, -- Auchindoun: Mana-Tombs, Nexus-Prince Shaffar
  [1900] = iEET.expansions.TBC5MAN, -- Auchindoun: Mana-Tombs, Pandemonius
  [1901] = iEET.expansions.TBC5MAN, -- Auchindoun: Mana-Tombs, Tavarok
  [1902] = iEET.expansions.TBC5MAN, -- Auchindoun: Sethekk Halls, Talon King Ikiss
  [1903] = iEET.expansions.TBC5MAN, -- Auchindoun: Sethekk Halls, Darkweaver Syth
  [1904] = iEET.expansions.TBC5MAN, -- Auchindoun: Sethekk Halls, Anzu
  [1905] = iEET.expansions.TBC5MAN, -- The Escape from Durnholde, Lieutenant Drake
  [1906] = iEET.expansions.TBC5MAN, -- The Escape from Durnholde, Epoch Hunter
  [1907] = iEET.expansions.TBC5MAN, -- The Escape from Durnholde, Captain Skarloc
  [1908] = iEET.expansions.TBC5MAN, -- Auchindoun: Shadow Labyrinth, Ambassador Hellmaw
  [1909] = iEET.expansions.TBC5MAN, -- Auchindoun: Shadow Labyrinth, Blackheart the Inciter
  [1910] = iEET.expansions.TBC5MAN, -- Auchindoun: Shadow Labyrinth, Murmur
  [1911] = iEET.expansions.TBC5MAN, -- Auchindoun: Shadow Labyrinth, Grandmaster Vorpil
  [1913] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Arcatraz, Dalliah the Doomsayer
  [1914] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Arcatraz, Harbinger Skyriss
  [1915] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Arcatraz, Wrath-Scryer Soccothrates
  [1916] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Arcatraz, Zereketh the Unbound
  [1919] = iEET.expansions.TBC5MAN, -- Opening of the Dark Portal, Aeonus
  [1920] = iEET.expansions.TBC5MAN, -- Opening of the Dark Portal, Chrono Lord Deja
  [1921] = iEET.expansions.TBC5MAN, -- Opening of the Dark Portal, Temporus
  [1922] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Blood Furnace, The Maker
  [1923] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Blood Furnace, Keli'dan the Breaker
  [1924] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Blood Furnace, Broggok
  [1925] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Botanica, Commander Sarannis
  [1926] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Botanica, High Botanist Freywinn
  [1927] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Botanica, Laj
  [1928] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Botanica, Thorngrin the Tender
  [1929] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Botanica, Warp Splinter
  [1930] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Mechanar, Nethermancer Sepethrea
  [1931] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Mechanar, Pathaleon the Calculator
  [1932] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Mechanar, Mechano-Lord Capacitus
  [1933] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Mechanar, Gatewatcher Gyro-Kill
  [1934] = iEET.expansions.TBC5MAN, -- Tempest Keep: The Mechanar, Gatewatcher Iron-Hand
  [1935] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Shattered Halls, Blood Guard Porung
  [1936] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Shattered Halls, Grand Warlock Nethekurse
  [1937] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Shattered Halls, Warbringer O'mrogg
  [1938] = iEET.expansions.TBC5MAN, -- Hellfire Citadel: The Shattered Halls, Warchief Kargath Bladefist
  [1939] = iEET.expansions.TBC5MAN, -- Coilfang: The Slave Pens, Mennu the Betrayer
  [1940] = iEET.expansions.TBC5MAN, -- Coilfang: The Slave Pens, Quagmirran
  [1941] = iEET.expansions.TBC5MAN, -- Coilfang: The Slave Pens, Rokmar the Crackler
  [1942] = iEET.expansions.TBC5MAN, -- Coilfang: The Steamvault, Hydromancer Thespia
  [1943] = iEET.expansions.TBC5MAN, -- Coilfang: The Steamvault, Mekgineer Steamrigger
  [1944] = iEET.expansions.TBC5MAN, -- Coilfang: The Steamvault, Warlord Kalithresh
  [1945] = iEET.expansions.TBC5MAN, -- Coilfang: The Underbog, Ghaz'an
  [1946] = iEET.expansions.TBC5MAN, -- Coilfang: The Underbog, Hungarfen
  [1947] = iEET.expansions.TBC5MAN, -- Coilfang: The Underbog, Swamplord Musel'ek
  [1948] = iEET.expansions.TBC5MAN, -- Coilfang: The Underbog, The Black Stalker

  -- WOTLK
  [1085] = iEET.expansions.WOTLK, -- Trial of the Crusader, Anub'arak
  [1086] = iEET.expansions.WOTLK, -- Trial of the Crusader, Faction Champions
  [1087] = iEET.expansions.WOTLK, -- Trial of the Crusader, Lord Jaraxxus
  [1088] = iEET.expansions.WOTLK, -- Trial of the Crusader, Northrend Beasts
  [1089] = iEET.expansions.WOTLK, -- Trial of the Crusader, Val'kyr Twins
  [1090] = iEET.expansions.WOTLK, -- The Obsidian Sanctum, Sartharion
  [1091] = iEET.expansions.WOTLK, -- The Obsidian Sanctum, Shadron
  [1092] = iEET.expansions.WOTLK, -- The Obsidian Sanctum, Tenebron
  [1093] = iEET.expansions.WOTLK, -- The Obsidian Sanctum, Vesperon
  [1094] = iEET.expansions.WOTLK, -- The Eye of Eternity, Malygos
  [1095] = iEET.expansions.WOTLK, -- Icecrown Citadel, Blood Council
  [1096] = iEET.expansions.WOTLK, -- Icecrown Citadel, Deathbringer Saurfang
  [1097] = iEET.expansions.WOTLK, -- Icecrown Citadel, Festergut
  [1098] = iEET.expansions.WOTLK, -- Icecrown Citadel, Valithria Dreamwalker
  [1099] = iEET.expansions.WOTLK, -- Icecrown Citadel, Icecrown Gunship Battle
  [1100] = iEET.expansions.WOTLK, -- Icecrown Citadel, Lady Deathwhisper
  [1101] = iEET.expansions.WOTLK, -- Icecrown Citadel, Lord Marrowgar
  [1102] = iEET.expansions.WOTLK, -- Icecrown Citadel, Professor Putricide
  [1103] = iEET.expansions.WOTLK, -- Icecrown Citadel, Queen Lana'thel
  [1104] = iEET.expansions.WOTLK, -- Icecrown Citadel, Rotface
  [1105] = iEET.expansions.WOTLK, -- Icecrown Citadel, Sindragosa
  [1106] = iEET.expansions.WOTLK, -- Icecrown Citadel, The Lich King
  [1107] = iEET.expansions.WOTLK, -- Naxxramas, Anub'Rekhan
  [1108] = iEET.expansions.WOTLK, -- Naxxramas, Gluth
  [1109] = iEET.expansions.WOTLK, -- Naxxramas, Gothik the Harvester
  [1110] = iEET.expansions.WOTLK, -- Naxxramas, Grand Widow Faerlina
  [1111] = iEET.expansions.WOTLK, -- Naxxramas, Grobbulus
  [1112] = iEET.expansions.WOTLK, -- Naxxramas, Heigan the Unclean
  [1113] = iEET.expansions.WOTLK, -- Naxxramas, Instructor Razuvious
  [1114] = iEET.expansions.WOTLK, -- Naxxramas, Kel'Thuzad
  [1115] = iEET.expansions.WOTLK, -- Naxxramas, Loatheb
  [1116] = iEET.expansions.WOTLK, -- Naxxramas, Maexxna
  [1117] = iEET.expansions.WOTLK, -- Naxxramas, Noth the Plaguebringer
  [1118] = iEET.expansions.WOTLK, -- Naxxramas, Patchwerk
  [1119] = iEET.expansions.WOTLK, -- Naxxramas, Sapphiron
  [1120] = iEET.expansions.WOTLK, -- Naxxramas, Thaddius
  [1121] = iEET.expansions.WOTLK, -- Naxxramas, The Four Horsemen
  [1126] = iEET.expansions.WOTLK, -- Vault of Archavon, Archavon the Stone Watcher
  [1127] = iEET.expansions.WOTLK, -- Vault of Archavon, Emalon the Storm Watcher
  [1128] = iEET.expansions.WOTLK, -- Vault of Archavon, Koralon the Flame Watcher
  [1129] = iEET.expansions.WOTLK, -- Vault of Archavon, Toravon the Ice Watcher
  [1130] = iEET.expansions.WOTLK, -- Ulduar, Algalon the Observer
  [1131] = iEET.expansions.WOTLK, -- Ulduar, Auriaya
  [1132] = iEET.expansions.WOTLK, -- Ulduar, Flame Leviathan
  [1133] = iEET.expansions.WOTLK, -- Ulduar, Freya
  [1134] = iEET.expansions.WOTLK, -- Ulduar, General Vezax
  [1135] = iEET.expansions.WOTLK, -- Ulduar, Hodir
  [1136] = iEET.expansions.WOTLK, -- Ulduar, Ignis the Furnace Master
  [1137] = iEET.expansions.WOTLK, -- Ulduar, Kologarn
  [1138] = iEET.expansions.WOTLK, -- Ulduar, Mimiron
  [1139] = iEET.expansions.WOTLK, -- Ulduar, Razorscale
  [1140] = iEET.expansions.WOTLK, -- Ulduar, The Assembly of Iron
  [1141] = iEET.expansions.WOTLK, -- Ulduar, Thorim
  [1142] = iEET.expansions.WOTLK, -- Ulduar, XT-002 Deconstructor
  [1143] = iEET.expansions.WOTLK, -- Ulduar, Yogg-Saron
  [1147] = iEET.expansions.WOTLK, -- The Ruby Sanctum, Baltharus the Warborn
  [1148] = iEET.expansions.WOTLK, -- The Ruby Sanctum, General Zarithrian
  [1149] = iEET.expansions.WOTLK, -- The Ruby Sanctum, Saviana Ragefire
  [1150] = iEET.expansions.WOTLK, -- The Ruby Sanctum, Halion
  [1164] = iEET.expansions.WOTLK, -- Ulduar, Elder Brightleaf
  [1165] = iEET.expansions.WOTLK, -- Ulduar, Elder Ironbranch
  [1166] = iEET.expansions.WOTLK, -- Ulduar, Elder Stonebark

  -- WOTLK 5man
  [250] = iEET.expansions.WOTLK5MAN, -- Auchindoun: Mana-Tombs, Yor
  [519] = iEET.expansions.WOTLK5MAN, -- The Nexus, Frozen Commander
  [520] = iEET.expansions.WOTLK5MAN, -- The Nexus, Grand Magus Telestra
  [521] = iEET.expansions.WOTLK5MAN, -- The Nexus, Grand Magus Telestra
  [522] = iEET.expansions.WOTLK5MAN, -- The Nexus, Anomalus
  [523] = iEET.expansions.WOTLK5MAN, -- The Nexus, Anomalus
  [524] = iEET.expansions.WOTLK5MAN, -- The Nexus, Ormorok the Tree-Shaper
  [525] = iEET.expansions.WOTLK5MAN, -- The Nexus, Ormorok the Tree-Shaper
  [526] = iEET.expansions.WOTLK5MAN, -- The Nexus, Keristrasza
  [527] = iEET.expansions.WOTLK5MAN, -- The Nexus, Keristrasza
  [528] = iEET.expansions.WOTLK5MAN, -- The Oculus, Drakos the Interrogator
  [529] = iEET.expansions.WOTLK5MAN, -- The Oculus, Drakos the Interrogator
  [530] = iEET.expansions.WOTLK5MAN, -- The Oculus, Varos Cloudstrider
  [531] = iEET.expansions.WOTLK5MAN, -- The Oculus, Varos Cloudstrider
  [532] = iEET.expansions.WOTLK5MAN, -- The Oculus, Mage-Lord Urom
  [533] = iEET.expansions.WOTLK5MAN, -- The Oculus, Mage-Lord Urom
  [534] = iEET.expansions.WOTLK5MAN, -- The Oculus, Ley-Guardian Eregos
  [535] = iEET.expansions.WOTLK5MAN, -- The Oculus, Ley-Guardian Eregos
  [1144] = iEET.expansions.WOTLK5MAN, -- Stormwind Stockade, Hogger
  [1145] = iEET.expansions.WOTLK5MAN, -- Stormwind Stockade, Lord Overheat
  [1146] = iEET.expansions.WOTLK5MAN, -- Stormwind Stockade, Randolph Moloch
  [1966] = iEET.expansions.WOTLK5MAN, -- Ahn'kahet: The Old Kingdom, Prince Taldaram
  [1967] = iEET.expansions.WOTLK5MAN, -- Ahn'kahet: The Old Kingdom, Jedoga Shadowseeker
  [1968] = iEET.expansions.WOTLK5MAN, -- Ahn'kahet: The Old Kingdom, Herald Volazj
  [1969] = iEET.expansions.WOTLK5MAN, -- Ahn'kahet: The Old Kingdom, Elder Nadox
  [1971] = iEET.expansions.WOTLK5MAN, -- Azjol-Nerub, Krik'thir the Gatewatcher
  [1972] = iEET.expansions.WOTLK5MAN, -- Azjol-Nerub, Hadronox
  [1973] = iEET.expansions.WOTLK5MAN, -- Azjol-Nerub, Anub'arak
  [1974] = iEET.expansions.WOTLK5MAN, -- Drak'Tharon Keep, Trollgore
  [1975] = iEET.expansions.WOTLK5MAN, -- Drak'Tharon Keep, The Prophet Tharon'ja
  [1976] = iEET.expansions.WOTLK5MAN, -- Drak'Tharon Keep, Novos the Summoner
  [1977] = iEET.expansions.WOTLK5MAN, -- Drak'Tharon Keep, King Dred
  [1978] = iEET.expansions.WOTLK5MAN, -- Gundrak, Slad'ran
  [1980] = iEET.expansions.WOTLK5MAN, -- Gundrak, Moorabi
  [1981] = iEET.expansions.WOTLK5MAN, -- Gundrak, Gal'darah
  [1983] = iEET.expansions.WOTLK5MAN, -- Gundrak, Drakkari Colossus
  [1984] = iEET.expansions.WOTLK5MAN, -- Halls of Lightning, Ionar
  [1985] = iEET.expansions.WOTLK5MAN, -- Halls of Lightning, Volkhan
  [1986] = iEET.expansions.WOTLK5MAN, -- Halls of Lightning, Loken
  [1987] = iEET.expansions.WOTLK5MAN, -- Halls of Lightning, General Bjarngrim
  [1988] = iEET.expansions.WOTLK5MAN, -- Gundrak, Eck the Ferocious
  [1989] = iEET.expansions.WOTLK5MAN, -- Ahn'kahet: The Old Kingdom, Amanitar
  [1990] = iEET.expansions.WOTLK5MAN, -- Halls of Reflection, Escaped from Arthas
  [1992] = iEET.expansions.WOTLK5MAN, -- Halls of Reflection, Falric
  [1993] = iEET.expansions.WOTLK5MAN, -- Halls of Reflection, Marwyn
  [1994] = iEET.expansions.WOTLK5MAN, -- Halls of Stone, Krystallus
  [1995] = iEET.expansions.WOTLK5MAN, -- Halls of Stone, Tribunal of Ages
  [1996] = iEET.expansions.WOTLK5MAN, -- Halls of Stone, Maiden of Grief
  [1998] = iEET.expansions.WOTLK5MAN, -- Halls of Stone, Sjonnir the Ironshaper
  [1999] = iEET.expansions.WOTLK5MAN, -- Pit of Saron, Forgemaster Garfrost
  [2000] = iEET.expansions.WOTLK5MAN, -- Pit of Saron, Scourgelord Tyrannus
  [2001] = iEET.expansions.WOTLK5MAN, -- Pit of Saron, Krick
  [2002] = iEET.expansions.WOTLK5MAN, -- The Culling of Stratholme, Meathook
  [2003] = iEET.expansions.WOTLK5MAN, -- The Culling of Stratholme, Chrono-Lord Epoch
  [2004] = iEET.expansions.WOTLK5MAN, -- The Culling of Stratholme, Salram the Fleshcrafter
  [2005] = iEET.expansions.WOTLK5MAN, -- The Culling of Stratholme, Mal'ganis
  [2006] = iEET.expansions.WOTLK5MAN, -- The Forge of Souls, Bronjahm
  [2007] = iEET.expansions.WOTLK5MAN, -- The Forge of Souls, Devourer of Souls
  [2008] = iEET.expansions.WOTLK5MAN, -- Trial of Valor, Helya
  [2009] = iEET.expansions.WOTLK5MAN, -- The Nexus, Anomalus
  [2010] = iEET.expansions.WOTLK5MAN, -- The Nexus, Grand Magus Telestra
  [2011] = iEET.expansions.WOTLK5MAN, -- The Nexus, Keristrasza
  [2012] = iEET.expansions.WOTLK5MAN, -- The Nexus, Ormorok the Tree-Shaper
  [2013] = iEET.expansions.WOTLK5MAN, -- The Oculus, Ley-Guardian Eregos
  [2014] = iEET.expansions.WOTLK5MAN, -- The Oculus, Mage-Lord Urom
  [2015] = iEET.expansions.WOTLK5MAN, -- The Oculus, Varos Cloudstrider
  [2016] = iEET.expansions.WOTLK5MAN, -- The Oculus, Drakos the Interrogator
  [2018] = iEET.expansions.WOTLK5MAN, -- Violet Hold, Second Prisoner
  [2019] = iEET.expansions.WOTLK5MAN, -- Violet Hold, First Prisoner
  [2020] = iEET.expansions.WOTLK5MAN, -- Violet Hold, Cyanigosa
  [2021] = iEET.expansions.WOTLK5MAN, -- Trial of the Champion, The Black Knight
  [2022] = iEET.expansions.WOTLK5MAN, -- Trial of the Champion, Grand Champions
  [2023] = iEET.expansions.WOTLK5MAN, -- Trial of the Champion, Argent Champion
  [2024] = iEET.expansions.WOTLK5MAN, -- Utgarde Keep, Skarvold & Dalronn
  [2025] = iEET.expansions.WOTLK5MAN, -- Utgarde Keep, Ingvar the Plunderer
  [2026] = iEET.expansions.WOTLK5MAN, -- Utgarde Keep, Prince Keleseth
  [2027] = iEET.expansions.WOTLK5MAN, -- Utgarde Pinnacle, Gortok Palehoof
  [2028] = iEET.expansions.WOTLK5MAN, -- Utgarde Pinnacle, King Ymiron
  [2029] = iEET.expansions.WOTLK5MAN, -- Utgarde Pinnacle, Skadi the Ruthless
  [2030] = iEET.expansions.WOTLK5MAN, -- Utgarde Pinnacle, Svala Sorrowgrave

  -- Cata
  [1022] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Atramedes
  [1023] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Chimaeron
  [1024] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Magmaw
  [1025] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Maloriak
  [1026] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Nefarian's End
  [1027] = iEET.expansions.CATACLYSM, -- Blackwing Descent, Omnotron Defense System
  [1028] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Ascendant Council
  [1029] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Cho'gall
  [1030] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Halfus Wyrmbreaker
  [1032] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Theralion and Valiona
  [1033] = iEET.expansions.CATACLYSM, -- Baradin Hold, Argaloth
  [1034] = iEET.expansions.CATACLYSM, -- Throne of the Four Winds, Al'Akir
  [1035] = iEET.expansions.CATACLYSM, -- Throne of the Four Winds, Conclave of Wind
  [1082] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Sinestra
  [1083] = iEET.expansions.CATACLYSM, -- The Bastion of Twilight, Sinestra
  [1084] = iEET.expansions.CATACLYSM, -- Onyxia's Lair, Onyxia
  [1185] = iEET.expansions.CATACLYSM, -- Firelands, Majordomo Staghelm
  [1189] = iEET.expansions.CATACLYSM, -- Zul'Aman, Akil'zon
  [1190] = iEET.expansions.CATACLYSM, -- Zul'Aman, Nalorakk
  [1191] = iEET.expansions.CATACLYSM, -- Zul'Aman, Jan'alai
  [1192] = iEET.expansions.CATACLYSM, -- Zul'Aman, Halazzi
  [1193] = iEET.expansions.CATACLYSM, -- Zul'Aman, Hex Lord Malacrass
  [1194] = iEET.expansions.CATACLYSM, -- Zul'Aman, Daakara
  [1197] = iEET.expansions.CATACLYSM, -- Firelands, Beth'tilac
  [1200] = iEET.expansions.CATACLYSM, -- Firelands, Baleroc
  [1203] = iEET.expansions.CATACLYSM, -- Firelands, Ragnaros
  [1204] = iEET.expansions.CATACLYSM, -- Firelands, Lord Rhyolith
  [1205] = iEET.expansions.CATACLYSM, -- Firelands, Shannox
  [1206] = iEET.expansions.CATACLYSM, -- Firelands, Alysrazor
  [1250] = iEET.expansions.CATACLYSM, -- Baradin Hold, Occu'thar
  [1291] = iEET.expansions.CATACLYSM, -- Dragon Soul, Spine of Deathwing
  [1292] = iEET.expansions.CATACLYSM, -- Dragon Soul, Morchok
  [1294] = iEET.expansions.CATACLYSM, -- Dragon Soul, Warlord Zon'ozz
  [1295] = iEET.expansions.CATACLYSM, -- Dragon Soul, Yor'sahj the Unsleeping
  [1296] = iEET.expansions.CATACLYSM, -- Dragon Soul, Hagara
  [1297] = iEET.expansions.CATACLYSM, -- Dragon Soul, Ultraxion
  [1298] = iEET.expansions.CATACLYSM, -- Dragon Soul, Warmaster Blackhorn
  [1299] = iEET.expansions.CATACLYSM, -- Dragon Soul, Madness of Deathwing
  [1332] = iEET.expansions.CATACLYSM, -- Baradin Hold, Alizabal

  -- Cata 5man
  [1036] = iEET.expansions.CATACLYSM5MAN, -- Blackrock Caverns, Ascendant Lord Obsidius
  [1037] = iEET.expansions.CATACLYSM5MAN, -- Blackrock Caverns, Beauty
  [1038] = iEET.expansions.CATACLYSM5MAN, -- Blackrock Caverns, Corla, Herald of Twilight
  [1039] = iEET.expansions.CATACLYSM5MAN, -- Blackrock Caverns, Karsh Steelbender
  [1040] = iEET.expansions.CATACLYSM5MAN, -- Blackrock Caverns, Rom'ogg Bonecrusher
  [1041] = iEET.expansions.CATACLYSM5MAN, -- The Vortex Pinnacle, Altairus
  [1042] = iEET.expansions.CATACLYSM5MAN, -- The Vortex Pinnacle, Asaad
  [1043] = iEET.expansions.CATACLYSM5MAN, -- The Vortex Pinnacle, Grand Vizier Ertan
  [1044] = iEET.expansions.CATACLYSM5MAN, -- Throne of the Tides, Commander Ulthok
  [1045] = iEET.expansions.CATACLYSM5MAN, -- Throne of the Tides, Lady Naz'jar
  [1046] = iEET.expansions.CATACLYSM5MAN, -- Throne of the Tides, Mindbender Ghur'sha
  [1047] = iEET.expansions.CATACLYSM5MAN, -- Throne of the Tides, Ozumat
  [1048] = iEET.expansions.CATACLYSM5MAN, -- Grim Batol, Drahga Shadowburner
  [1049] = iEET.expansions.CATACLYSM5MAN, -- Grim Batol, Erudax
  [1050] = iEET.expansions.CATACLYSM5MAN, -- Grim Batol, Forgemaster Throngus
  [1051] = iEET.expansions.CATACLYSM5MAN, -- Grim Batol, General Umbriss
  [1052] = iEET.expansions.CATACLYSM5MAN, -- Lost City of the Tol'vir, General Husam
  [1053] = iEET.expansions.CATACLYSM5MAN, -- Lost City of the Tol'vir, High Prophet Barim
  [1054] = iEET.expansions.CATACLYSM5MAN, -- Lost City of the Tol'vir, Lockmaw
  [1055] = iEET.expansions.CATACLYSM5MAN, -- Lost City of the Tol'vir, Siamat
  [1056] = iEET.expansions.CATACLYSM5MAN, -- The Stonecore, Corborus
  [1057] = iEET.expansions.CATACLYSM5MAN, -- The Stonecore, High Priestess Azil
  [1058] = iEET.expansions.CATACLYSM5MAN, -- The Stonecore, Ozruk
  [1059] = iEET.expansions.CATACLYSM5MAN, -- The Stonecore, Slabhide
  [1060] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, "Captain" Cookie
  [1062] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, Admiral Ripsnarl
  [1063] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, Foe Reaper 5000
  [1064] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, Glubtok
  [1065] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, Helix Gearbreaker
  [1069] = iEET.expansions.CATACLYSM5MAN, -- Shadowfang Keep, Baron Ashbury
  [1070] = iEET.expansions.CATACLYSM5MAN, -- Shadowfang Keep, Baron Silverlaine
  [1071] = iEET.expansions.CATACLYSM5MAN, -- Shadowfang Keep, Commander Springvale
  [1072] = iEET.expansions.CATACLYSM5MAN, -- Shadowfang Keep, Lord Godfrey
  [1073] = iEET.expansions.CATACLYSM5MAN, -- Shadowfang Keep, Lord Walden
  [1074] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Ammunae
  [1075] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Anraphet
  [1076] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Earthrager Ptah
  [1077] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Isiset
  [1078] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Rajh
  [1079] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Setesh
  [1080] = iEET.expansions.CATACLYSM5MAN, -- Halls of Origination, Temple Guardian Anhuur
  [1081] = iEET.expansions.CATACLYSM5MAN, -- Deadmines, Vanessa VanCleef
  [1178] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, High Priest Venoxis
  [1179] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, Bloodlord Mandokir
  [1180] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, High Priestess Kilnara
  [1181] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, Zanzil
  [1182] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, Jin'do the Godbreaker
  [1188] = iEET.expansions.CATACLYSM5MAN, -- Zul'Gurub, Cache of Madness
  [1271] = iEET.expansions.CATACLYSM5MAN, -- End Time, Murozond
  [1272] = iEET.expansions.CATACLYSM5MAN, -- Well of Eternity, Peroth'arn
  [1273] = iEET.expansions.CATACLYSM5MAN, -- Well of Eternity, Queen Azshara
  [1274] = iEET.expansions.CATACLYSM5MAN, -- Well of Eternity, Mannoroth
  [1337] = iEET.expansions.CATACLYSM5MAN, -- Hour of Twilight, Arcurion
  [1339] = iEET.expansions.CATACLYSM5MAN, -- Hour of Twilight, Archbishop Benedictus
  [1340] = iEET.expansions.CATACLYSM5MAN, -- Hour of Twilight, Asira Dawnslayer
  [1881] = iEET.expansions.CATACLYSM5MAN, -- End Time, Echo of Baine
  [1882] = iEET.expansions.CATACLYSM5MAN, -- End Time, Echo of Sylvanas
  [1883] = iEET.expansions.CATACLYSM5MAN, -- End Time, Echo of Jaina
  [1884] = iEET.expansions.CATACLYSM5MAN, -- End Time, Echo of Tyrande

  -- MoP
  [1390] = iEET.expansions.MOP, -- Mogu'shan Vaults, Feng the Accursed
  [1395] = iEET.expansions.MOP, -- Mogu'shan Vaults, The Stone Guard
  [1407] = iEET.expansions.MOP, -- Mogu'shan Vaults, Will of the Emperor
  [1409] = iEET.expansions.MOP, -- Terrace of Endless Spring, Protectors of the Endless
  [1431] = iEET.expansions.MOP, -- Terrace of Endless Spring, Sha of Fear
  [1463] = iEET.expansions.MOP, -- Heart of Fear, Garalon
  [1498] = iEET.expansions.MOP, -- Heart of Fear, Wind Lord Mel'jarak
  [1499] = iEET.expansions.MOP, -- Heart of Fear, Amber-Shaper Un'sok
  [1501] = iEET.expansions.MOP, -- Heart of Fear, Grand Empress Shek'zeer
  [1504] = iEET.expansions.MOP, -- Heart of Fear, Blade Lord Ta'yak
  [1505] = iEET.expansions.MOP, -- Terrace of Endless Spring, Tsulong
  [1506] = iEET.expansions.MOP, -- Terrace of Endless Spring, Lei Shi
  [1507] = iEET.expansions.MOP, -- Heart of Fear, Imperial Vizier Zor'lok
  [1559] = iEET.expansions.MOP, -- Throne of Thunder, Iron Qon
  [1560] = iEET.expansions.MOP, -- Throne of Thunder, Twin Consorts
  [1563] = iEET.expansions.MOP, -- Pandaria, Galleon
  [1564] = iEET.expansions.MOP, -- Pandaria, Sha of Anger
  [1565] = iEET.expansions.MOP, -- Throne of Thunder, Tortos
  [1570] = iEET.expansions.MOP, -- Throne of Thunder, Council of Elders
  [1571] = iEET.expansions.MOP, -- Pandaria, Nalak
  [1572] = iEET.expansions.MOP, -- Throne of Thunder, Durumu the Forgotten
  [1573] = iEET.expansions.MOP, -- Throne of Thunder, Ji-Kun
  [1574] = iEET.expansions.MOP, -- Throne of Thunder, Primordius
  [1575] = iEET.expansions.MOP, -- Throne of Thunder, Horridon
  [1576] = iEET.expansions.MOP, -- Throne of Thunder, Dark Animus
  [1577] = iEET.expansions.MOP, -- Throne of Thunder, Jin'rokh the Breaker
  [1578] = iEET.expansions.MOP, -- Throne of Thunder, Megaera
  [1579] = iEET.expansions.MOP, -- Throne of Thunder, Lei Shen
  [1580] = iEET.expansions.MOP, -- Throne of Thunder, Ra-den
  [1581] = iEET.expansions.MOP, -- Throne of Thunder, Ra-den
  [1587] = iEET.expansions.MOP, -- Pandaria, Oondasta
  [1593] = iEET.expansions.MOP, -- Siege of Orgrimmar, Paragons of the Klaxxi
  [1594] = iEET.expansions.MOP, -- Siege of Orgrimmar, Spoils of Pandaria
  [1595] = iEET.expansions.MOP, -- Siege of Orgrimmar, Malkorok
  [1598] = iEET.expansions.MOP, -- Siege of Orgrimmar, Fallen Protectors
  [1599] = iEET.expansions.MOP, -- Siege of Orgrimmar, Thok the Bloodthirsty
  [1600] = iEET.expansions.MOP, -- Siege of Orgrimmar, Iron Juggernaut
  [1601] = iEET.expansions.MOP, -- Siege of Orgrimmar, Siegecrafter Blackfuse
  [1602] = iEET.expansions.MOP, -- Siege of Orgrimmar, Immerseus
  [1603] = iEET.expansions.MOP, -- Siege of Orgrimmar, General Nazgrim
  [1604] = iEET.expansions.MOP, -- Siege of Orgrimmar, Sha of Pride
  [1605] = iEET.expansions.MOP, -- Siege of Orgrimmar, Omar's Test Encounter (Cosmetic only) DNT
  [1606] = iEET.expansions.MOP, -- Siege of Orgrimmar, Kor'kron Dark Shaman
  [1622] = iEET.expansions.MOP, -- Siege of Orgrimmar, Galakras
  [1623] = iEET.expansions.MOP, -- Siege of Orgrimmar, Garrosh Hellscream
  [1624] = iEET.expansions.MOP, -- Siege of Orgrimmar, Norushen

  -- MoP 5man
  [1303] = iEET.expansions.MOP5MAN, -- Shado-Pan Monastery, Gu Cloudstrike
  [1304] = iEET.expansions.MOP5MAN, -- Shado-Pan Monastery, Master Snowdrift
  [1305] = iEET.expansions.MOP5MAN, -- Shado-Pan Monastery, Sha of Violence
  [1306] = iEET.expansions.MOP5MAN, -- Shado-Pan Monastery, Taran Zhu
  [1397] = iEET.expansions.MOP5MAN, -- Gate of the Setting Sun, Saboteur Kip'tilak
  [1405] = iEET.expansions.MOP5MAN, -- Gate of the Setting Sun, Striker Ga'dok
  [1406] = iEET.expansions.MOP5MAN, -- Gate of the Setting Sun, Commander Ri'mok  
  [1412] = iEET.expansions.MOP5MAN, -- Stormstout Brewery, Ook-Ook
  [1413] = iEET.expansions.MOP5MAN, -- Stormstout Brewery, Hoptallus
  [1414] = iEET.expansions.MOP5MAN, -- Stormstout Brewery, Yan-Zhu the Uncasked
  [1416] = iEET.expansions.MOP5MAN, -- Temple of the Jade Serpent, Liu Flameheart
  [1417] = iEET.expansions.MOP5MAN, -- Temple of the Jade Serpent, Lorewalker Stonestep
  [1418] = iEET.expansions.MOP5MAN, -- Temple of the Jade Serpent, Wise Mari
  [1419] = iEET.expansions.MOP5MAN, -- Gate of the Setting Sun, Raigonn
  [1420] = iEET.expansions.MOP5MAN, -- Scarlet Halls, Flameweaver Koegler
  [1421] = iEET.expansions.MOP5MAN, -- Scarlet Halls, Armsmaster Harlan
  [1422] = iEET.expansions.MOP5MAN, -- Scarlet Halls, Houndmaster Braun
  [1423] = iEET.expansions.MOP5MAN, -- Scarlet Monastery, Thalnos the Soulrender
  [1424] = iEET.expansions.MOP5MAN, -- Scarlet Monastery, Brother Korloff
  [1425] = iEET.expansions.MOP5MAN, -- Scarlet Monastery, High Inquisitor Whitemane
  [1426] = iEET.expansions.MOP5MAN, -- Scholomance, Instructor Chillheart
  [1427] = iEET.expansions.MOP5MAN, -- Scholomance, Jandice Barov
  [1428] = iEET.expansions.MOP5MAN, -- Scholomance, Rattlegore
  [1429] = iEET.expansions.MOP5MAN, -- Scholomance, Lilian Voss
  [1430] = iEET.expansions.MOP5MAN, -- Scholomance, Darkmaster Gandling
  [1434] = iEET.expansions.MOP5MAN, -- Mogu'shan Vaults, Gara'jal the Spiritbinder
  [1436] = iEET.expansions.MOP5MAN, -- Mogu'shan Vaults, The Spirit Kings
  [1439] = iEET.expansions.MOP5MAN, -- Temple of the Jade Serpent, Sha of Doubt
  [1441] = iEET.expansions.MOP5MAN, -- Mogu'shan Palace, Xin the Weaponmaster
  [1442] = iEET.expansions.MOP5MAN, -- Mogu'shan Palace, Trial of the King
  [1443] = iEET.expansions.MOP5MAN, -- Ragefire Chasm, Adarogg
  [1444] = iEET.expansions.MOP5MAN, -- Ragefire Chasm, Dark Shaman Koranthal
  [1445] = iEET.expansions.MOP5MAN, -- Ragefire Chasm, Slagmaw
  [1446] = iEET.expansions.MOP5MAN, -- Ragefire Chasm, Lava Guard Gordoth
  [1447] = iEET.expansions.MOP5MAN, -- Siege of Niuzao Temple, General Pa'valak
  [1464] = iEET.expansions.MOP5MAN, -- Siege of Niuzao Temple, Wing Leader Ner'onok
  [1465] = iEET.expansions.MOP5MAN, -- Siege of Niuzao Temple, Vizier Jin'bak
  [1500] = iEET.expansions.MOP5MAN, -- Mogu'shan Vaults, Elegon
  [1502] = iEET.expansions.MOP5MAN, -- Siege of Niuzao Temple, Commander Vo'jak
  [1509] = iEET.expansions.MOP5MAN, -- Mogu'shan Palace, Gekkan
  [1510] = iEET.expansions.MOP5MAN, -- Mogu'shan Palace, Gekkan
  [2129] = iEET.expansions.MOP5MAN, -- Mogu'shan Palace, Gekkan

  -- WoD
  [1689] = iEET.expansions.WOD, -- Blackrock Foundry, Flamebender Ka'graz
  [1690] = iEET.expansions.WOD, -- Blackrock Foundry, Blast Furnace
  [1691] = iEET.expansions.WOD, -- Blackrock Foundry, Gruul
  [1692] = iEET.expansions.WOD, -- Blackrock Foundry, Operator Thogar
  [1693] = iEET.expansions.WOD, -- Blackrock Foundry, Hans'gar & Franzok
  [1694] = iEET.expansions.WOD, -- Blackrock Foundry, Beastlord Darmac
  [1695] = iEET.expansions.WOD, -- Blackrock Foundry, The Iron Maidens
  [1696] = iEET.expansions.WOD, -- Blackrock Foundry, Oregorger the Devourer
  [1704] = iEET.expansions.WOD, -- Blackrock Foundry, Blackhand
  [1705] = iEET.expansions.WOD, -- Highmaul, Imperator Mar'gok
  [1706] = iEET.expansions.WOD, -- Highmaul, The Butcher
  [1713] = iEET.expansions.WOD, -- Blackrock Foundry, Kromog, Legend of the Mountain
  [1719] = iEET.expansions.WOD, -- Highmaul, Twin Ogron
  [1720] = iEET.expansions.WOD, -- Highmaul, Brackenspore
  [1721] = iEET.expansions.WOD, -- Highmaul, Kargath Bladefist
  [1722] = iEET.expansions.WOD, -- Highmaul, Tectus, The Living Mountain
  [1723] = iEET.expansions.WOD, -- Highmaul, Ko'ragh
  [1747] = iEET.expansions.WOD, -- Development Land (non-weighted textures), Ken's Test Encounter [DNT]
  [1755] = iEET.expansions.WOD, -- Draenor, Rukhmar, Sun-God of the Arakkoa
  [1770] = iEET.expansions.WOD, -- Draenor, Tarlna the Ageless
  [1777] = iEET.expansions.WOD, -- Hellfire Citadel, Fel Lord Zakuun
  [1778] = iEET.expansions.WOD, -- Hellfire Citadel, Hellfire Assault
  [1783] = iEET.expansions.WOD, -- Hellfire Citadel, Gorefiend
  [1784] = iEET.expansions.WOD, -- Hellfire Citadel, Tyrant Velhari
  [1785] = iEET.expansions.WOD, -- Hellfire Citadel, Iron Reaver
  [1786] = iEET.expansions.WOD, -- Hellfire Citadel, Kilrogg Deadeye
  [1787] = iEET.expansions.WOD, -- Hellfire Citadel, Kormrok
  [1788] = iEET.expansions.WOD, -- Hellfire Citadel, Shadow-Lord Iskar
  [1794] = iEET.expansions.WOD, -- Hellfire Citadel, Socrethar the Eternal
  [1795] = iEET.expansions.WOD, -- Hellfire Citadel, Mannoroth
  [1798] = iEET.expansions.WOD, -- Hellfire Citadel, Hellfire High Council
  [1799] = iEET.expansions.WOD, -- Hellfire Citadel, Archimonde
  [1800] = iEET.expansions.WOD, -- Hellfire Citadel, Xhul'horac
  [1801] = iEET.expansions.WOD, -- Draenor, Supreme Lord Kazzak

  -- WoD 5man
  [1652] = iEET.expansions.WOD5MAN, -- Bloodmaul Slag Mines, Roltall
  [1653] = iEET.expansions.WOD5MAN, -- Bloodmaul Slag Mines, Slave Watcher Crushto
  [1654] = iEET.expansions.WOD5MAN, -- Bloodmaul Slag Mines, Gug'rokk
  [1655] = iEET.expansions.WOD5MAN, -- Bloodmaul Slag Mines, Magmolatus
  [1656] = iEET.expansions.WOD5MAN, -- Razorfen Kraul, Hunter Bonetusk
  [1659] = iEET.expansions.WOD5MAN, -- Razorfen Kraul, Warlord Ramtusk
  [1660] = iEET.expansions.WOD5MAN, -- Razorfen Kraul, Groyat, the Blind Hunter
  [1661] = iEET.expansions.WOD5MAN, -- Razorfen Kraul, Charlga Razorflank
  [1662] = iEET.expansions.WOD5MAN, -- Razorfen Downs, Aaurx
  [1663] = iEET.expansions.WOD5MAN, -- Razorfen Downs, Mordresh Fire Eye
  [1664] = iEET.expansions.WOD5MAN, -- Razorfen Downs, Mushlump
  [1665] = iEET.expansions.WOD5MAN, -- Razorfen Downs, Death Speaker Blackthorn
  [1666] = iEET.expansions.WOD5MAN, -- Razorfen Downs, Amnennar the Coldbringer
  [1667] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Ghamoo-ra
  [1668] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Domina
  [1669] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Subjugator Kor'ul
  [1670] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Executioner Gore
  [1671] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Twilight Lord Bathiel
  [1672] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Aku'mai
  [1675] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Thruk
  [1676] = iEET.expansions.WOD5MAN, -- Blackfathom Deeps, Guardian of the Deep
  [1677] = iEET.expansions.WOD5MAN, -- Shadowmoon Burial Grounds, Sadana Bloodfury
  [1678] = iEET.expansions.WOD5MAN, -- Auchindoun, Azzakel, Vanguard of the Legion
  [1679] = iEET.expansions.WOD5MAN, -- Shadowmoon Burial Grounds, Bonemaw
  [1682] = iEET.expansions.WOD5MAN, -- Shadowmoon Burial Grounds, Ner'zhul
  [1685] = iEET.expansions.WOD5MAN, -- Auchindoun, Soulbinder Nyami
  [1686] = iEET.expansions.WOD5MAN, -- Auchindoun, Vigilant Kaathar
  [1688] = iEET.expansions.WOD5MAN, -- Shadowmoon Burial Grounds, Nhallish
  [1698] = iEET.expansions.WOD5MAN, -- Skyreach, Ranjit
  [1699] = iEET.expansions.WOD5MAN, -- Skyreach, Araknath
  [1700] = iEET.expansions.WOD5MAN, -- Skyreach, Rukhran
  [1701] = iEET.expansions.WOD5MAN, -- Skyreach, High Sage Viryx
  [1714] = iEET.expansions.WOD5MAN, -- Auchindoun, Teron'gor
  [1715] = iEET.expansions.WOD5MAN, -- Grimrail Depot, Rocketspark and Borka
  [1732] = iEET.expansions.WOD5MAN, -- Grimrail Depot, Nitrogg Thundertower
  [1736] = iEET.expansions.WOD5MAN, -- Grimrail Depot, Skylord Tovra
  [1745] = iEET.expansions.WOD5MAN, -- Ashran, Ashran
  [1746] = iEET.expansions.WOD5MAN, -- The Everbloom, Witherbark
  [1748] = iEET.expansions.WOD5MAN, -- Iron Docks, Grimrail Enforcers
  [1749] = iEET.expansions.WOD5MAN, -- Iron Docks, Fleshrender Nok'gar
  [1750] = iEET.expansions.WOD5MAN, -- Iron Docks, Oshir
  [1751] = iEET.expansions.WOD5MAN, -- The Everbloom, Archmage Sol
  [1752] = iEET.expansions.WOD5MAN, -- The Everbloom, Xeri'tac
  [1754] = iEET.expansions.WOD5MAN, -- Iron Docks, Skulloc, Son of Gruul
  [1756] = iEET.expansions.WOD5MAN, -- The Everbloom, Yalnu
  [1757] = iEET.expansions.WOD5MAN, -- The Everbloom, Ancient Protectors
  [1758] = iEET.expansions.WOD5MAN, -- Upper Blackrock Spire, Kyrak
  [1759] = iEET.expansions.WOD5MAN, -- Upper Blackrock Spire, Commander Tharbek
  [1760] = iEET.expansions.WOD5MAN, -- Upper Blackrock Spire, Ragewing the Untamed
  [1761] = iEET.expansions.WOD5MAN, -- Upper Blackrock Spire, Orebender Gor'ashan
  [1762] = iEET.expansions.WOD5MAN, -- Upper Blackrock Spire, Warlord Zaela

  -- Legion
  [1841] = iEET.expansions.LEGION, -- The Emerald Nightmare, Ursoc
  [1842] = iEET.expansions.LEGION, -- The Nighthold, Krosus
  [1849] = iEET.expansions.LEGION, -- The Nighthold, Skorpyron
  [1853] = iEET.expansions.LEGION, -- The Emerald Nightmare, Nythendra
  [1854] = iEET.expansions.LEGION, -- The Emerald Nightmare, Dragons of Nightmare
  [1862] = iEET.expansions.LEGION, -- The Nighthold, Tichondrius
  [1863] = iEET.expansions.LEGION, -- The Nighthold, Star Augur Etraeus
  [1864] = iEET.expansions.LEGION, -- The Emerald Nightmare, Xavius
  [1865] = iEET.expansions.LEGION, -- The Nighthold, Chronomatic Anomaly
  [1866] = iEET.expansions.LEGION, -- The Nighthold, Gul'dan
  [1867] = iEET.expansions.LEGION, -- The Nighthold, Trilliax
  [1871] = iEET.expansions.LEGION, -- The Nighthold, Spellblade Aluriel
  [1872] = iEET.expansions.LEGION, -- The Nighthold, Grand Magistrix Elisande
  [1873] = iEET.expansions.LEGION, -- The Emerald Nightmare, Il'gynoth, The Heart of Corruption
  [1874] = iEET.expansions.LEGION, -- Test Dungeon, Raid Boss Dummy (5min)
  [1875] = iEET.expansions.LEGION, -- Test Dungeon, Raid Boss Dummy (10min)
  [1876] = iEET.expansions.LEGION, -- The Emerald Nightmare, Elerethe Renferal
  [1877] = iEET.expansions.LEGION, -- The Emerald Nightmare, Cenarius
  [1879] = iEET.expansions.LEGION, -- Broken Isles, The Soultakers
  [1880] = iEET.expansions.LEGION, -- Broken Isles, Nithogg
  [1886] = iEET.expansions.LEGION, -- The Nighthold, High Botanist Tel'arn
  [1888] = iEET.expansions.LEGION, -- Broken Isles, Shar'thos
  [1917] = iEET.expansions.LEGION, -- Broken Isles, Humongris
  [1949] = iEET.expansions.LEGION, -- Broken Isles, Drugon the Frostblood
  [1950] = iEET.expansions.LEGION, -- Broken Isles, Na'zak the Fiend
  [1951] = iEET.expansions.LEGION, -- Broken Isles, Flotsam
  [1952] = iEET.expansions.LEGION, -- Broken Isles, Calamir
  [1953] = iEET.expansions.LEGION, -- Broken Isles, Levantus
  [1958] = iEET.expansions.LEGION, -- Trial of Valor, Odyn
  [1962] = iEET.expansions.LEGION, -- Trial of Valor, Guarm
  [2032] = iEET.expansions.LEGION, -- Tomb of Sargeras, Goroth
  [2036] = iEET.expansions.LEGION, -- Tomb of Sargeras, Harjatan
  [2037] = iEET.expansions.LEGION, -- Tomb of Sargeras, Mistress Sassz'ine
  [2038] = iEET.expansions.LEGION, -- Tomb of Sargeras, Fallen Avatar
  [2048] = iEET.expansions.LEGION, -- Tomb of Sargeras, Demonic Inquisition
  [2050] = iEET.expansions.LEGION, -- Tomb of Sargeras, Sisters of the Moon
  [2051] = iEET.expansions.LEGION, -- Tomb of Sargeras, Kil'jaeden
  [2052] = iEET.expansions.LEGION, -- Tomb of Sargeras, Maiden of Vigilance
  [2054] = iEET.expansions.LEGION, -- Tomb of Sargeras, The Desolate Host
  [2063] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Aggramar
  [2064] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Portal Keeper Hasabel
  [2069] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Varimathras
  [2070] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Antoran High Command
  [2073] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, The Coven of Shivarra
  [2074] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Felhounds of Sargeras
  [2075] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, The Defense of Eonar
  [2076] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Garothi Worldbreaker
  [2079] = iEET.expansions.LEGION, -- Argus, Keeper Aedis
  [2080] = iEET.expansions.LEGION, -- Argus, Void-Blade Zedaat
  [2081] = iEET.expansions.LEGION, -- Argus, Imp Mother
  [2082] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Imonar the Soulhunter
  [2083] = iEET.expansions.LEGION, -- Argus, Mistress Alluradel
  [2088] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Kin'garoth
  [2092] = iEET.expansions.LEGION, -- Antorus, the Burning Throne, Argus the Unmaker

  -- Legion 5man
  [1790] = iEET.expansions.LEGION5MAN, -- Neltharion's Lair, Rokmora
  [1791] = iEET.expansions.LEGION5MAN, -- Neltharion's Lair, Ularogg Cragshaper
  [1792] = iEET.expansions.LEGION5MAN, -- Neltharion's Lair, Naraxas
  [1793] = iEET.expansions.LEGION5MAN, -- Neltharion's Lair, Dargrul the Underking
  [1805] = iEET.expansions.LEGION5MAN, -- Halls of Valor, Hymdall
  [1806] = iEET.expansions.LEGION5MAN, -- Halls of Valor, Hyrja
  [1807] = iEET.expansions.LEGION5MAN, -- Halls of Valor, Fenryr
  [1808] = iEET.expansions.LEGION5MAN, -- Halls of Valor, God-King Skovald
  [1809] = iEET.expansions.LEGION5MAN, -- Halls of Valor, Odyn
  [1810] = iEET.expansions.LEGION5MAN, -- Eye of Azshara, Warlord Parjesh
  [1811] = iEET.expansions.LEGION5MAN, -- Eye of Azshara, Lady Hatecoil
  [1812] = iEET.expansions.LEGION5MAN, -- Eye of Azshara, King Deepbeard
  [1813] = iEET.expansions.LEGION5MAN, -- Eye of Azshara, Serpentrix
  [1814] = iEET.expansions.LEGION5MAN, -- Eye of Azshara, Wrath of Azshara
  [1815] = iEET.expansions.LEGION5MAN, -- Vault of the Wardens, Tirathon Saltheril
  [1816] = iEET.expansions.LEGION5MAN, -- Vault of the Wardens, Ash'Golm
  [1817] = iEET.expansions.LEGION5MAN, -- Vault of the Wardens, Glazer
  [1818] = iEET.expansions.LEGION5MAN, -- Vault of the Wardens, Cordana Felsong
  [1822] = iEET.expansions.LEGION5MAN, -- Maw of Souls, Ymiron, the Fallen King
  [1823] = iEET.expansions.LEGION5MAN, -- Maw of Souls, Harbaron
  [1824] = iEET.expansions.LEGION5MAN, -- Maw of Souls, Helya
  [1825] = iEET.expansions.LEGION5MAN, -- The Arcway, Corstilax
  [1826] = iEET.expansions.LEGION5MAN, -- The Arcway, Nal'tira
  [1827] = iEET.expansions.LEGION5MAN, -- The Arcway, Ivanyr
  [1828] = iEET.expansions.LEGION5MAN, -- The Arcway, General Xakal
  [1829] = iEET.expansions.LEGION5MAN, -- The Arcway, Advisor Vandros
  [1832] = iEET.expansions.LEGION5MAN, -- Black Rook Hold, Amalgam of Souls
  [1833] = iEET.expansions.LEGION5MAN, -- Black Rook Hold, Ilysanna Ravencrest
  [1834] = iEET.expansions.LEGION5MAN, -- Black Rook Hold, Smashspite the Hateful
  [1835] = iEET.expansions.LEGION5MAN, -- Black Rook Hold, Lord Kur'talos Ravencrest
  [1836] = iEET.expansions.LEGION5MAN, -- Darkheart Thicket, Archdruid Glaidalis
  [1837] = iEET.expansions.LEGION5MAN, -- Darkheart Thicket, Oakheart
  [1838] = iEET.expansions.LEGION5MAN, -- Darkheart Thicket, Dresaron
  [1839] = iEET.expansions.LEGION5MAN, -- Darkheart Thicket, Shade of Xavius
  [1845] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Shivermaw
  [1846] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Mindflayer Kaahrj
  [1847] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Millificent Manastorm
  [1848] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Festerface
  [1850] = iEET.expansions.LEGION5MAN, -- Vault of the Wardens, Inquisitor Tormentorum
  [1851] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Sael'orn
  [1852] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Anub'esset
  [1855] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Blood-Princess Thal'ena
  [1856] = iEET.expansions.LEGION5MAN, -- Assault on Violet Hold, Fel Lord Betrug
  [1868] = iEET.expansions.LEGION5MAN, -- Court of Stars, Patrol Captain Gerdo
  [1869] = iEET.expansions.LEGION5MAN, -- Court of Stars, Talixae Flamewreath
  [1870] = iEET.expansions.LEGION5MAN, -- Court of Stars, Advisor Melandrus
  [1954] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Maiden of Virtue
  [1957] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Opera Hall  
  [1959] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Mana Devourer
  [1960] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Attumen the Huntsman
  [1961] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Moroes  
  [1964] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, The Curator
  [1965] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Shade of Medivh
  [2017] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Viz'aduum the Watcher
  [2031] = iEET.expansions.LEGION5MAN, -- Return to Karazhan, Nightbane
  [2039] = iEET.expansions.LEGION5MAN, -- Cathedral of Eternal Night, Mephistroth
  [2049] = iEET.expansions.LEGION5MAN, -- The Eye of Eternity - Mage Class Mount, Primal Rage of Frost
  [2053] = iEET.expansions.LEGION5MAN, -- Cathedral of Eternal Night, Domatrax
  [2055] = iEET.expansions.LEGION5MAN, -- Cathedral of Eternal Night, Agronox
  [2057] = iEET.expansions.LEGION5MAN, -- Cathedral of Eternal Night, Thrashbite the Scornful
  [2059] = iEET.expansions.LEGION5MAN, -- Halls of Valor - Scenario, Fury of the God Queen
  [2065] = iEET.expansions.LEGION5MAN, -- Seat of the Triumvirate, Zuraal the Ascended
  [2066] = iEET.expansions.LEGION5MAN, -- Seat of the Triumvirate, Saprish
  [2067] = iEET.expansions.LEGION5MAN, -- Seat of the Triumvirate, Viceroy Nezhar
  [2068] = iEET.expansions.LEGION5MAN, -- Seat of the Triumvirate, L'ura

  -- BFA
  [2121] = iEET.expansions.BFA, -- Zandalar, T'zane
  [2122] = iEET.expansions.BFA, -- Uldir, G'huun
  [2128] = iEET.expansions.BFA, -- Uldir, Fetid Devourer
  [2134] = iEET.expansions.BFA, -- Uldir, Vectis
  [2135] = iEET.expansions.BFA, -- Uldir, Mythrax
  [2136] = iEET.expansions.BFA, -- Uldir, Zek'voz
  [2141] = iEET.expansions.BFA, -- Uldir, MOTHER
  [2144] = iEET.expansions.BFA, -- Uldir, Taloc
  [2145] = iEET.expansions.BFA, -- Uldir, Zul
  [2147] = iEET.expansions.BFA, -- Kul Tiras, Warbringer Yenajz
  [2148] = iEET.expansions.BFA, -- Kul Tiras, Hailstone Construct
  [2149] = iEET.expansions.BFA, -- Zandalar, Ji'arak
  [2252] = iEET.expansions.BFA, -- Classic Arathi Basin, The Lion's Roar
  [2253] = iEET.expansions.BFA, -- Classic Arathi Basin, Doom's Howl
  [2146] = iEET.expansions.BFA, -- Test Dungeon, Raid Boss Dummy (15 Sec)
  [2254] = iEET.expansions.BFA, -- Test Dungeon, Raid Boss Dummy (5min)
  [2263] = iEET.expansions.BFA, -- Battle of Dazar'alor, Grong
  [2265] = iEET.expansions.BFA, -- Battle of Dazar'alor, Champion of the Light
  [2266] = iEET.expansions.BFA, -- Battle of Dazar'alor, Jadefire Masters
  [2268] = iEET.expansions.BFA, -- Battle of Dazar'alor, Conclave of the Chosen
  [2269] = iEET.expansions.BFA, -- Crucible of Storms, The Restless Cabal
  [2271] = iEET.expansions.BFA, -- Battle of Dazar'alor, Opulence
  [2272] = iEET.expansions.BFA, -- Battle of Dazar'alor, King Rastakhan
  [2273] = iEET.expansions.BFA, -- Crucible of Storms, Uu'nat, Harbinger of the Void
  [2276] = iEET.expansions.BFA, -- Battle of Dazar'alor, Mekkatorque
  [2280] = iEET.expansions.BFA, -- Battle of Dazar'alor, Stormwall Blockade
  [2281] = iEET.expansions.BFA, -- Battle of Dazar'alor, Lady Jaina Proudmoore
  [2284] = iEET.expansions.BFA, -- Battle of Dazar'alor, Grong the Revenant
  [2285] = iEET.expansions.BFA, -- Battle of Dazar'alor, Jadefire Masters
  [2289] = iEET.expansions.BFA, -- The Eternal Palace, Blackwater Behemoth
  [2293] = iEET.expansions.BFA, -- The Eternal Palace, Za'qul
  [2298] = iEET.expansions.BFA, -- The Eternal Palace, Abyssal Commander Sivara
  [2299] = iEET.expansions.BFA, -- The Eternal Palace, Queen Azshara
  [2303] = iEET.expansions.BFA, -- The Eternal Palace, Orgozoa
  [2304] = iEET.expansions.BFA, -- The Eternal Palace, Lady Ashvane
  [2305] = iEET.expansions.BFA, -- The Eternal Palace, Radiance of Azshara
  [2311] = iEET.expansions.BFA, -- The Eternal Palace, The Queen's Court
  [2317] = iEET.expansions.BFA, -- Nazjatar, Ulmath, the Soulbinder
  [2318] = iEET.expansions.BFA, -- Nazjatar, Wekemara
  [2327] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Maut
  [2328] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Dark Inquisitor Xanesh
  [2329] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Wrathion
  [2331] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Ra-den the Despoiled
  [2333] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, The Hivemind
  [2334] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Prophet Skitra
  [2335] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Shad'har the Insatiable
  [2336] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Vexiona
  [2337] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Carapace of N'Zoth
  [2343] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Drest'agath
  [2344] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, N'Zoth the Corruptor
  [2345] = iEET.expansions.BFA, -- Ny'alotha, the Waking City, Il'gynoth, Corruption Reborn
  [2351] = iEET.expansions.BFA, -- Pandaria, Grand Empress Shek'zara
  [2352] = iEET.expansions.BFA, -- Pandaria, Tashara
  [2353] = iEET.expansions.BFA, -- Kalimdor, Vuk'laz the Earthbreaker

  -- BFA 5man
  [2084] = iEET.expansions.BFA5MAN, -- Atal'Dazar, Priestess Alun'za
  [2085] = iEET.expansions.BFA5MAN, -- Atal'Dazar, Vol'kaal
  [2086] = iEET.expansions.BFA5MAN, -- Atal'Dazar, Rezan
  [2087] = iEET.expansions.BFA5MAN, -- Atal'Dazar, Yazma
  [2093] = iEET.expansions.BFA5MAN, -- Freehold, Skycap'n Kragg
  [2094] = iEET.expansions.BFA5MAN, -- Freehold, Council o' Captains
  [2095] = iEET.expansions.BFA5MAN, -- Freehold, Ring of Booty
  [2096] = iEET.expansions.BFA5MAN, -- Freehold, Lord Harlan Sweete
  [2097] = iEET.expansions.BFA5MAN, -- Siege of Boralus, Sergeant Bainbridge
  [2098] = iEET.expansions.BFA5MAN, -- Siege of Boralus, Chopper Redhook
  [2099] = iEET.expansions.BFA5MAN, -- Siege of Boralus, Hadal Darkfathom
  [2100] = iEET.expansions.BFA5MAN, -- Siege of Boralus, Viq'Goth
  [2101] = iEET.expansions.BFA5MAN, -- Tol Dagor, The Sand Queen
  [2102] = iEET.expansions.BFA5MAN, -- Tol Dagor, Jes Howlis
  [2103] = iEET.expansions.BFA5MAN, -- Tol Dagor, Knight Captain Valyri
  [2104] = iEET.expansions.BFA5MAN, -- Tol Dagor, Overseer Korgus
  [2105] = iEET.expansions.BFA5MAN, -- The MOTHERLODE!!, Coin-Operated Crowd Pummeler
  [2106] = iEET.expansions.BFA5MAN, -- The MOTHERLODE!!, Azerokk
  [2107] = iEET.expansions.BFA5MAN, -- The MOTHERLODE!!, Rixxa Fluxfume
  [2108] = iEET.expansions.BFA5MAN, -- The MOTHERLODE!!, Mogul Razdunk
  [2109] = iEET.expansions.BFA5MAN, -- Siege of Boralus, Dread Captain Lockwood
  [2111] = iEET.expansions.BFA5MAN, -- The Underrot, Elder Leaxa
  [2112] = iEET.expansions.BFA5MAN, -- The Underrot, Sporecaller Zancha
  [2113] = iEET.expansions.BFA5MAN, -- Waycrest Manor, Heartsbane Triad
  [2114] = iEET.expansions.BFA5MAN, -- Waycrest Manor, Soulbound Goliath
  [2115] = iEET.expansions.BFA5MAN, -- Waycrest Manor, Raal the Gluttonous
  [2116] = iEET.expansions.BFA5MAN, -- Waycrest Manor, Lord and Lady Waycrest
  [2117] = iEET.expansions.BFA5MAN, -- Waycrest Manor, Gorak Tul
  [2118] = iEET.expansions.BFA5MAN, -- The Underrot, Cragmaw the Infested
  [2123] = iEET.expansions.BFA5MAN, -- The Underrot, Unbound Abomination
  [2124] = iEET.expansions.BFA5MAN, -- Temple of Sethraliss, Adderis and Aspix
  [2125] = iEET.expansions.BFA5MAN, -- Temple of Sethraliss, Merektha
  [2126] = iEET.expansions.BFA5MAN, -- Temple of Sethraliss, Galvazzt
  [2127] = iEET.expansions.BFA5MAN, -- Temple of Sethraliss, Avatar of Sethraliss
  [2130] = iEET.expansions.BFA5MAN, -- Shrine of the Storm, Aqu'sirr
  [2131] = iEET.expansions.BFA5MAN, -- Shrine of the Storm, Tidesage Council
  [2132] = iEET.expansions.BFA5MAN, -- Shrine of the Storm, Lord Stormsong
  [2133] = iEET.expansions.BFA5MAN, -- Shrine of the Storm, Vol'zith the Whisperer
  [2139] = iEET.expansions.BFA5MAN, -- Kings' Rest, The Golden Serpent
  [2140] = iEET.expansions.BFA5MAN, -- Kings' Rest, The Council of Tribes
  [2142] = iEET.expansions.BFA5MAN, -- Kings' Rest, Mchimba the Embalmer
  [2143] = iEET.expansions.BFA5MAN, -- Kings' Rest, King Dazar
  [2257] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, Tussle Tonks
  [2258] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, K.U.-J.0.
  [2259] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, Machinist's Garden
  [2260] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, King Mechagon
  [2290] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, King Gobbamak
  [2291] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, HK-8 Aerial Oppression Unit
  [2292] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, Gunker
  [2312] = iEET.expansions.BFA5MAN, -- Operation: Mechagon, Trixie & Naeno
  [2319] = iEET.expansions.BFA5MAN, -- Caverns of Time - Anniversary, Memories of Azeroth: Burning Crusade
  [2320] = iEET.expansions.BFA5MAN, -- Caverns of Time - Anniversary, Memories of Azeroth: Cataclysm
  [2321] = iEET.expansions.BFA5MAN, -- Caverns of Time - Anniversary, Memories of Azeroth: Wrath of the Lich King
  [2332] = iEET.expansions.BFA5MAN, -- Horrific Vision of Orgrimmar, Thrall the Corrupted
  [2338] = iEET.expansions.BFA5MAN, -- Horrific Vision of Stormwind, Alleria Windrunner
  [2370] = iEET.expansions.BFA5MAN, -- Horrific Vision of Orgrimmar, Rexxar
  [2371] = iEET.expansions.BFA5MAN, -- Horrific Vision of Orgrimmar, Inquisitor Gnshal
  [2372] = iEET.expansions.BFA5MAN, -- Horrific Vision of Orgrimmar, Oblivion Elemental
  [2373] = iEET.expansions.BFA5MAN, -- Horrific Vision of Orgrimmar, Vez'okk the Lightless
  [2374] = iEET.expansions.BFA5MAN, -- Horrific Vision of Stormwind, Therum Deepforge
  [2375] = iEET.expansions.BFA5MAN, -- Horrific Vision of Stormwind, Slavemaster Ul'rok
  [2376] = iEET.expansions.BFA5MAN, -- Horrific Vision of Stormwind, Overlord Mathias Shaw
  [2377] = iEET.expansions.BFA5MAN, -- Horrific Vision of Stormwind, Magister Umbric

  -- Shadowlands
  [2383] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Hungering Destroyer
  [2398] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Shriekwing
  [2399] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Sludgefist
  [2402] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Kael'thas
  [2405] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Artificer Xy'mox
  [2406] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Lady Inerva Darkvein
  [2407] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Sire Denathrius
  [2408] = iEET.expansions.SHADOWLANDS, -- The Shadowlands, Nurgash Muckformed
  [2409] = iEET.expansions.SHADOWLANDS, -- The Shadowlands, Oranomonos the Everbranching
  [2410] = iEET.expansions.SHADOWLANDS, -- The Shadowlands, Mortanis
  [2411] = iEET.expansions.SHADOWLANDS, -- The Shadowlands, Valinor
  [2412] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, The Council of Blood
  [2416] = iEET.expansions.SHADOWLANDS, -- Eastern Kingdoms, Nathanos Blightcaller
  [2417] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Stone Legion Generals
  [2418] = iEET.expansions.SHADOWLANDS, -- Castle Nathria, Huntsman Altimor

  -- Shadowlands 5man
  [2325] = iEET.expansions.SHADOWLANDS5MAN, -- Darkmaul Citadel, Tunk
  [2326] = iEET.expansions.SHADOWLANDS5MAN, -- Darkmaul Citadel, Ravnyr
  [2356] = iEET.expansions.SHADOWLANDS5MAN, -- Spires of Ascension, Ventunax
  [2357] = iEET.expansions.SHADOWLANDS5MAN, -- Spires of Ascension, Kin-Tara
  [2358] = iEET.expansions.SHADOWLANDS5MAN, -- Spires of Ascension, Oryphrion
  [2359] = iEET.expansions.SHADOWLANDS5MAN, -- Spires of Ascension, Devos, Paragon of Loyalty
  [2360] = iEET.expansions.SHADOWLANDS5MAN, -- Sanguine Depths, Kryxis the Voracious
  [2361] = iEET.expansions.SHADOWLANDS5MAN, -- Sanguine Depths, Executor Tarvold
  [2362] = iEET.expansions.SHADOWLANDS5MAN, -- Sanguine Depths, Grand Proctor Beryllia
  [2363] = iEET.expansions.SHADOWLANDS5MAN, -- Sanguine Depths, General Kaal
  [2364] = iEET.expansions.SHADOWLANDS5MAN, -- Theater of Pain, Kul'tharok
  [2365] = iEET.expansions.SHADOWLANDS5MAN, -- Theater of Pain, Gorechop
  [2366] = iEET.expansions.SHADOWLANDS5MAN, -- Theater of Pain, Xav the Unfallen
  [2380] = iEET.expansions.SHADOWLANDS5MAN, -- Halls of Atonement, Echelon
  [2381] = iEET.expansions.SHADOWLANDS5MAN, -- Halls of Atonement, Lord Chamberlain
  [2382] = iEET.expansions.SHADOWLANDS5MAN, -- Plaguefall, Globgrog
  [2384] = iEET.expansions.SHADOWLANDS5MAN, -- Plaguefall, Doctor Ickus
  [2385] = iEET.expansions.SHADOWLANDS5MAN, -- Plaguefall, Domina Venomblade
  [2386] = iEET.expansions.SHADOWLANDS5MAN, -- Plaguefall, Stradama Margrave
  [2387] = iEET.expansions.SHADOWLANDS5MAN, -- The Necrotic Wake, Blightbone
  [2388] = iEET.expansions.SHADOWLANDS5MAN, -- The Necrotic Wake, Amarth, The Harvester
  [2389] = iEET.expansions.SHADOWLANDS5MAN, -- The Necrotic Wake, Stichflesh
  [2390] = iEET.expansions.SHADOWLANDS5MAN, -- The Necrotic Wake, Nalthor the Rimebinder
  [2391] = iEET.expansions.SHADOWLANDS5MAN, -- Theater of Pain, An Affront of Challengers
  [2392] = iEET.expansions.SHADOWLANDS5MAN, -- Mists of Tirna Scithe, Mistcaller
  [2393] = iEET.expansions.SHADOWLANDS5MAN, -- Mists of Tirna Scithe, Tred'ova
  [2394] = iEET.expansions.SHADOWLANDS5MAN, -- De Other Side, The Manastorms
  [2395] = iEET.expansions.SHADOWLANDS5MAN, -- De Other Side, Hakkar, the Soulflayer
  [2396] = iEET.expansions.SHADOWLANDS5MAN, -- De Other Side, Mueh'zala
  [2397] = iEET.expansions.SHADOWLANDS5MAN, -- Mists of Tirna Scithe, Ingra Maloch
  [2400] = iEET.expansions.SHADOWLANDS5MAN, -- De Other Side, Dealer Xy'exa
  [2401] = iEET.expansions.SHADOWLANDS5MAN, -- Halls of Atonement, Halkias, the Sin-Stained Goliath
  [2403] = iEET.expansions.SHADOWLANDS5MAN, -- Halls of Atonement, High Adjudicator Aleez
  [2404] = iEET.expansions.SHADOWLANDS5MAN, -- Theater of Pain, Mordretha
  [2415] = iEET.expansions.SHADOWLANDS5MAN, -- Sinfall Scenario, Ember Court
}

function iEET:ShouldIgnoreEncounter(encounterID)
  local expansion = encounters[encounterID] or iEET.expansions.DEFAULT
  return iEETConfig.expansionIgnore[expansion]
end
